class BaseTest

	# Accessors
	attr_accessor :testname
	attr_accessor :classname
	attr_accessor :description
	attr_accessor :priority
	attr_accessor :type
	attr_accessor :result
	attr_accessor :helpmessage
	attr_accessor :testoutput

	#include Test::Result
	#include Test::Fixable
	
	def initialize
		# binding.pry
		@classname = self.class.name
	end

	def setup

	end

	def assign_data(data)
		@data = data
	end

	def runTest
		self.test
	end

	def result
		#binding.pry
		@output = Hash.new
		@output[:testname] = @testname
		@output[:classname] = @classname
		@output[:description] = @description
		@output[:type] = @type
		@output[:result] = @result
		@output[:helpmessage] = @helpmessage
		return @output
	end

	def passed!
		@result = "Passed"
	end

	def failed!
		@result = "Failed"
	end

	def isWarning
		@type = "Warning"
	end

	def isError
		@type = "Error"
	end

	def isInfo
		@type = "Info"
	end

end
