require 'singleton'
require 'logger'

class Log < Logger
	include Singleton

	def self.instance
		@@instance ||= new(STDOUT)
	end

	def initalize(file_path)
		change_file(file_path)
	end

	def change_file(file_path)
		@log_file = File.open(file_path, "a")
		@@instance = Logger.new(@log_file)

		$stderr.reopen(@log_file)

		# Set log level to INFO
		@@instance.level = Logger::INFO
	end

end
