require 'ostruct'

require 'report_controller'
require 'log'
require 'op4_known_issues_controller'

class OP4ReportController < ReportController

	def gather
		issues_controller = OP4KnownIssuesController.new(@data)

		results = issues_controller.run

		failed, passed = results.partition do |item|
			item if item[:result] == "Failed"
		end

		@known_issues = failed
	end

end
