class TestCertificateRevocation < BaseTest
	def setup
		@testname = "Test OS X Certificate Revocation"
		@description = "N/A"
	end

	def test
		if @data.osx.ocsp_revocation_setting == "Require For All Certificates"
			isError
			failed!
			@helpmessage = "OCSP Certificate Revocation is set to All Certificates. This can cause the \"1Password cannot connect to Mini\" error"
		else
			isWarning
			passed!
			@helpmessage = "OCSP Certificate Revocation is not set to All Certificates."
		end
	end
end
