require 'helpers'

class TestForDropboxRunning < BaseTest
	def setup
		@testname = "Is Dropbox Running"
		@description = "If Dropbox is not running it may not sync if user's data is in Dropbox"
		isWarning
	end

	def test
		if @data.osx.dropbox_running
			passed!
			@helpmessage = "Dropbox is running"
		else
			failed!
			@helpmessage = "Dropbox is not running. This may cause issues with syncing"
		end
	end
end

