require 'helpers'

class TestForHandsOff < BaseTest
	def setup
		@testname = "Test for HandsOff!"
		@description = "Checking for HandsOff! which can cause blockages with 1Password Helper and browser extension"

		isWarning
	end

	def test
		if @data.osx.hands_off_installed
			failed!
			@helpmessage = "HandsOff! was found. Firewall software can interfere with 1P Helper and Extension"
		else
			passed!
			@helpmessage = "HandsOff! was not found"
		end
	end
end
