require 'helpers'

class TestForOP3HelperRunning < BaseTest
	def setup
		@testname = "TestForOP3HelperRunning "
		@description = "Test if 1Password 3 MAS Helper is running"
		isWarning
	end

	def test
		helper_running = @data.osx.all_processes.select do |process|
			process.command =~ /1Password Helper/
		end

		if helper_running.count > 0 
			failed!
			@helpmessage = "1Password 3 (MAS) Helper is running. This may cause issues with 1Password browser shortcuts. It should be removed if user is running 1P4."
		else
			passed!
			@helpmessage = "N/A"
		end
	end
end
