require 'helpers'

class TestForProxifier < BaseTest
	def setup
		@testname = "TestForProxifier"
		@description = "Test if Proxifier is running"
		isWarning
	end

	def test
		proxifier_running = @data.osx.all_processes.select do |process|
			process.command =~ /Proxifier/
		end

		if proxifier_running.count > 0 
			failed!
			@helpmessage = "Proxifier is running. This can cause connection issues between 1Password Mini and the extensions." 
		else
			passed!
			@helpmessage = "N/A"
		end
	end
end

