require 'helpers'

class TestForVirusBarrier < BaseTest
	def setup
		@testname = "Test for Virus Barrier"
		@description = "Checking for Virus Barrier which can cause blockages with 1Password Helper and browser extension"

		isWarning
	end

	def test
		if @data.osx.intego_virus_barrier_installed
			failed!
			@helpmessage = "Virus Barrier was found. Firewall software can interfere with 1P Helper and Extension"
		else
			passed!
			@helpmessage = "Virus Barrier was not found"
		end
	end
end
