class TestScriptingAdditionGlims < BaseTest
	def setup
		@testname = "Check for Glims Scripting Addition"
		@description = "Check to see if Glims Scripting Addition is installed in Safari"
		isWarning
	end

	def test
		home_results = %x{ls -l #{HOME}/Library/ScriptingAdditions/}
		global_results = %x{ls -l /Library/ScriptingAdditions/}

		found = false

		found = true if home_results =~ /Glims.osax/ || global_results =~ /Glims.osax/

		if found
			failed!
			@helpmessage = "The Glims Scripting Addition was found. Out of date versions have been known to cause problems with the 1Password helper and extension in Safari."
		else
			passed!
			@helpmessage = "The Glims Scripting Addition was not found."
		end
	end

end

