class TestUninterruptibleWait < BaseTest
	def setup
		@testname = "Test if Helper is in Uninterruptible Wait status"
		@description = "N/A"
	end

	def test
		# MAS
		mas_helper = @data.osx.all_processes.select do |process|
		 process.command =~ /2BUA8C4S2C.com.agilebits.onepassword-osx-helper/	&& process.user == @data.osx.username && process.state == "UE"
		end
		# Web
		web_helper = @data.osx.all_processes.select do |process|
			process.command =~ /2BUA8C4S2C.com.agilebits.onepassword4-helper/ && process.user == @data.osx.username && process.state == "UE"
		end

		if mas_helper.count > 0 || web_helper.count > 0
			failed!
			isError
			@helpmessage = "1Password Mini is in an Uninterruptible Wait state. Try rebooting to resolve."
		else
			passed!
			isWarning
			@helpmessage = "1Password Mini was not found in an Uninterruptible Wait state."
		end
	end
end
