require 'helpers'

class TestiCloudDocumentsData < BaseTest
	def setup
		@testname = "Test if iCloud Documents & Data is enabled"
		@description = "If Documents & Data is disabled, iCloud sync cannot be enabled."
		isWarning
	end

	def test
		if @data.ubiquity.docs_and_data_enabled == nil
			failed!
			isInfo
			@helpmessage = "iCloud is not setup, so no iCloud syncing will be available"
		elsif @data.ubiquity.docs_and_data_enabled
			passed!
			@helpmessage = "iCloud Documents & Data is enabled."
		else
			failed!
			@helpmessage = "iCloud Documents & Data is disabled. 1Password will be unable to sync to iCloud."
		end
	end
end

