require 'helpers'

class TestForAuthoxy < BaseTest
	def setup
		@testname = "TestForAuthoxy"
		@description = "Test if Authoxy is running"
		isWarning
	end

	def test

		authoxy_found = false

		if File.exist?("/tmp/authoxyd.pid")
			authoxy_found = true
		end

		if authoxy_found
			failed!
			@helpmessage = "Authoxy is running. Authoxy helps setup proxy servers. This can cause connection issues between 1Password Mini and the extensions." 
		else
			passed!
			@helpmessage = "N/A"
		end
	end
end

