class TestForGlimmerBlocker < BaseTest
	def setup
		@testname = "Test For GlimmerBlocker"
		@description = "Test if GlimmerBlocker Proxy is installed and running"
	end

	def test
		if @data.osx.glimmerblocker_installed && @data.osx.glimmerblocker_started
			failed!
			isWarning
			@helpmessage = "GlimmerBlocker is installed and started. It has been known to interfere with the 1Password Browser Extension"
		elsif @data.osx.glimmerblocker_installed && @data.osx.glimmerblocker_started == false
			failed!
			isWarning
			@helpmessage = "GlimmerBlocker is installed, but not started. It has been known to interfere with the 1Password Browser Extension"
		else
			passed!
			isWarning
			@helpmessage = "GlimmerBlocker is not installed and not started"
		end
	end
end
