require 'helpers'

class TestForLittleSnitch < BaseTest
	def setup
		@testname = "Test for Little Snitch"
		@description = "Checking for Little Snitch which can cause blockages with 1Password Helper and browser extension"

		isWarning
	end

	def test
		if @data.osx.little_snitch_installed
			failed!
			@helpmessage = "Little Snitch was found. Firewall software can interfere with 1P Helper and Extension"
		else
			passed!
			@helpmessage = "Little Snitch was not found"
		end
	end
end
