class TestMasWebMinisRunning < BaseTest
	def setup
		@testname = "Check if both MAS and Website Minis are running simultaneously"
		@description = "N/A"
	end

	def test
		mas_helper = @data.osx.all_processes.select do |process|
		 process.command =~ /2BUA8C4S2C.com.agilebits.onepassword-osx-helper/
		end

		web_helper = @data.osx.all_processes.select do |process|
			process.command =~ /2BUA8C4S2C.com.agilebits.onepassword4/
		end

		if mas_helper.count > 0 && web_helper.count > 0
			isError
			failed!
			@helpmessage = "Mac App Store Mini and Website Mini are both running. Only one should be running"
		else
			isWarning
			passed!
		end
	end
end
