class TestOperaLocationMAS < BaseTest
	def setup
		@testname = "Test for Opera Location out of /Applications/"
		@description = "N/A"
	end

	def test
		applications_glob = Dir.glob("/Applications/*Opera*.app")
		home_applications_glob = Dir.glob("#{HOME}/Applications/*Opera*.app")
		mas_helper = @data.osx.all_processes.select do |process|
		 process.command =~ /2BUA8C4S2C.com.agilebits.onepassword-osx-helper/	&& process.user == @data.osx.username
		end

		if mas_helper.count > 0 && applications_glob.count > 0 && home_applications_glob.count > 0
			isWarning
			failed!
			@helpmessage = "Found Opera application in ~/Applications/ and /Applications. To Fill and Save, Opera must be in /Applications/"
		elsif mas_helper.count > 0 && applications_glob.count == 0 && home_applications_glob.count > 0
			isWarning
			failed!
			@helpmessage = "Found Opera application in ~/Applications/ but not in /Applications. To Fill and Save, Opera must be in /Applications/"
		else
			passed!
			isWarning
			@helpmessage = "Didn't find Opera in ~/Applications/ or /Applications/. Passing."
		end
	end
end

