class TestSafariAdblock < BaseTest
	def setup
		@testname = "Check for Adblock in Safari"
		@description = "Check to see if Adblock is installed in Safari"
		isWarning
	end

	def test
		found = false

		if @data.safari.installed_extensions.count > 0 
			@data.safari.installed_extensions.each do |extension|
				found = true if extension.extname =~ /AdBlock/
			end
		end

		if found == true
			failed!
			@helpmessage = "Adblock is installed in Safari. This has been known to interfere with the 1Password helper and extension"
		else
			passed!
			@helpmessage = "Adblock was not found."
		end		
	end

end

