require 'helpers'

class TestSafariJavascriptEnabled < BaseTest
	def setup
		@testname = "Test if Safari Javascript is Enabled"
		@description = "If Javascript is not enabled the extension will not fill into webpages."
		isError
	end

	def test
		if @data.safari.javascript_enabled
			passed!
			@helpmessage = "Javascript is enabled in Safari"
		else
			failed!
			@helpmessage = "Javascript is not enabled in Safari. This will cause the extension to not fill into webpages." 
		end
	end
end
